Name:          meld
Version:       3.15.3
Release:       1mamba
Summary:       A visual diff and merge tool
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Stefano Cotta Ramusino <stefano.cotta@openmamba.org>
URL:           http://meld.sourceforge.net/
Source:        http://ftp.gnome.org/pub/gnome/sources/meld/%{majorminor}/meld-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython-devel
## AUTOBUILDREQ-END
BuildRequires: libscrollkeeper-devel
BuildRequires: intltool
Requires:      python
Requires:      patch
Requires:      pygobject
Requires:      pygtk
Requires:      libgtksourceview
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Meld is a visual diff and merge tool.
You can compare two or three files and edit them in place (diffs update dynamically).
You can compare two or three folders and launch file comparisons.
You can browse and view a working copy from popular version control systems such such as CVS, Subversion, Bazaar-ng and Mercurial.

%prep
%setup -q
#sed -i "s|update-mime-database|/bin/true|" Makefile
#sed -i "s|update-desktop-database|/bin/true|" Makefile

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py \
   --no-update-icon-cache \
   --no-compile-schemas \
   install \
   --prefix=%{_prefix} \
   --root="%{buildroot}" \
   --optimize=1 \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

%find_lang %{name}

%post
if [ $1 -ge 1 ]; then
   glib-compile-schemas /usr/share/glib-2.0/schemas
   gtk-update-icon-cache -q -t -f /usr/share/icons/hicolor
   update-desktop-database -q
   update-mime-database /usr/share/mime &> /dev/null
fi
:

%postun
if [ $1 -eq 0 ]; then
   glib-compile-schemas /usr/share/glib-2.0/schemas
   gtk-update-icon-cache -q -t -f /usr/share/icons/hicolor
   update-desktop-database -q
   update-mime-database /usr/share/mime &> /dev/null
fi
:

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/meld
%{_datadir}/icons/HighContrast/scalable/apps/meld.svg
%{_datadir}/icons/hicolor/*
%dir %{_datadir}/meld
%{_datadir}/meld/*
%{_datadir}/mime/packages/meld.xml
%{_datadir}/glib-2.0/schemas/org.gnome.meld.gschema.xml
%{_datadir}/appdata/meld.appdata.xml
%{_datadir}/applications/meld.desktop
%{python_sitearch}/meld-%{version}-py*.egg-info
%dir %{python_sitearch}/meld
%{python_sitearch}/meld/*
%{_mandir}/man1/*
%dir %{_datadir}/help/C/meld/
%{_datadir}/help/C/meld/*
%lang(cs) %dir %{_datadir}/help/cs
%lang(cs) %{_datadir}/help/cs/*
%lang(de) %dir %{_datadir}/help/de
%lang(de) %{_datadir}/help/de/*
%lang(el) %dir %{_datadir}/help/el
%lang(el) %{_datadir}/help/el/*
%lang(es) %dir %{_datadir}/help/es
%lang(es) %{_datadir}/help/es/*
%lang(sv) %dir %{_datadir}/help/sv
%lang(sv) %{_datadir}/help/sv/*
%doc COPYING

%changelog
* Sat Apr 30 2016 Automatic Build System <autodist@mambasoft.it> 3.15.3-1mamba
- automatic version update by autodist

* Sat Apr 09 2016 Automatic Build System <autodist@mambasoft.it> 3.15.2-1mamba
- automatic version update by autodist

* Fri Dec 18 2015 Automatic Build System <autodist@mambasoft.it> 3.14.2-1mamba
- automatic version update by autodist

* Fri Oct 09 2015 Automatic Build System <autodist@mambasoft.it> 3.14.1-1mamba
- automatic version update by autodist

* Sun Aug 02 2015 Automatic Build System <autodist@mambasoft.it> 3.14.0-1mamba
- automatic version update by autodist

* Thu Jan 01 2015 Automatic Build System <autodist@mambasoft.it> 3.12.3-1mamba
- automatic version update by autodist

* Mon Dec 01 2014 Automatic Build System <autodist@mambasoft.it> 3.12.2-1mamba
- automatic version update by autodist

* Thu Nov 20 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 3.12.1-2mamba
- require libgtksourceview instead of pygtksourceview
- rebuilt adding install_data

* Fri Oct 31 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 3.12.1-1mamba
- update to 3.12.1

* Sat Mar 08 2014 Automatic Build System <autodist@mambasoft.it> 3.11.0-1mamba
- automatic version update by autodist

* Wed Jan 22 2014 Automatic Build System <autodist@mambasoft.it> 1.8.4-1mamba
- automatic version update by autodist

* Sun Dec 15 2013 Automatic Build System <autodist@mambasoft.it> 1.8.3-1mamba
- automatic version update by autodist

* Fri Oct 18 2013 Automatic Build System <autodist@mambasoft.it> 1.8.2-1mamba
- automatic version update by autodist

* Mon Sep 23 2013 Automatic Build System <autodist@mambasoft.it> 1.8.1-1mamba
- automatic version update by autodist

* Mon Sep 16 2013 Automatic Build System <autodist@mambasoft.it> 1.8.0-1mamba
- automatic version update by autodist

* Sun Sep 01 2013 Automatic Build System <autodist@mambasoft.it> 1.7.5-1mamba
- automatic version update by autodist

* Sun Jul 28 2013 Automatic Build System <autodist@mambasoft.it> 1.7.4-1mamba
- automatic version update by autodist

* Tue Jun 04 2013 Automatic Build System <autodist@mambasoft.it> 1.7.3-1mamba
- automatic version update by autodist

* Tue Apr 16 2013 Automatic Build System <autodist@mambasoft.it> 1.7.2-1mamba
- automatic version update by autodist

* Sun Mar 03 2013 Automatic Build System <autodist@mambasoft.it> 1.7.1-1mamba
- automatic version update by autodist

* Tue Nov 06 2012 Automatic Build System <autodist@mambasoft.it> 1.7.0-1mamba
- automatic version update by autodist

* Tue Oct 23 2012 Automatic Build System <autodist@mambasoft.it> 1.6.1-1mamba
- automatic version update by autodist

* Tue Jul 03 2012 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 1.6.0-1mamba
- update to 1.6.0

* Tue Jul 26 2011 Automatic Build System <autodist@mambasoft.it> 1.5.2-1mamba
- update to 1.5.2

* Fri May 20 2011 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 1.5.1-1mamba
- package created by autospec
